Subject: [PATCH 0/3] coresight: Don't use contextID with PID namespaces

From: [email-masked] (Eric W. Biederman)
Date: Wed, 16 May 2018 20:12:26 -0500

Mathieu Poirier <[email-masked]> writes:

> Since the in-kernel value of a PID differs from what is seen from 
> PID namespaces, using contextID tracing with PID namespaces makes the
> feature confusing to use and potentially subject to leaking out internal
> kernel information.
>
> This set returns an error if contextID and PID namespaces are used in
> conjunction and gets rid of the vpid-to-pid translation function as it
> is no longer needed.

I looked the file can only be written by root.  So limiting things to
the initial pid namespace seems like the right solutions.  Especially as
the trace stream will include the global pid and be available to the
tracer.

This sounds like a simple code with a minimal chance of breaking
userspace.

Acked-by: "Eric W. Biederman" <[email-masked]>